REST API
Access
Get Access
GET
/api/accessParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
array of object (Access)_id
stringrequiredagent
stringrequiredapikey
stringrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredCreate Access
POST
/api/access/Parameters
authorization
string or nullheaderRequest body required
application/json
object (AccessCreate)agent
stringrequiredResponses
200Successful Response
application/json
object (Access)_id
stringrequiredagent
stringrequiredapikey
stringrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredDelete Access
DELETE
/api/access/{apikey_id}Parameters
apikey_id
stringpathrequiredauthorization
string or nullheaderResponses
200Successful Response
application/json
object (Access)_id
stringrequiredagent
stringrequiredapikey
stringrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredBackup
Get Backup
GET
/api/backupParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredRestore Backup
PUT
/api/backupParameters
authorization
string or nullheaderRequest body
application/json
object or nullResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredDevices
Get Devices
GET
/api/devicesParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
array of object (Device-Output)description
object (DeviceDescription)required
id
stringrequiredattributes
objectrequireddeviceInfo
objectrequiredname
object (DeviceName)required
defaultNames
array of stringrequiredname
stringrequirednicknames
array of stringrequiredtraits
array of stringrequiredtype
stringrequiredhide_from_google
boolean or nullroom
string or nullstates
objectrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredCreate A Device
POST
/api/devicesParameters
authorization
string or nullheaderRequest body required
application/json
object (Device-Input)description
object (DeviceDescription)required
id
stringrequiredattributes
objectrequireddeviceInfo
objectrequiredname
object (DeviceName)required
defaultNames
array of stringrequiredname
stringrequirednicknames
array of stringrequiredtraits
array of stringrequiredtype
stringrequiredhide_from_google
boolean or nullroom
string or nullstates
objectrequiredResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredGet A Device
GET
/api/devices/{device_id}Parameters
device_id
stringpathrequiredauthorization
string or nullheaderResponses
200Successful Response
application/json
object (Device-Output)description
object (DeviceDescription)required
id
stringrequiredattributes
objectrequireddeviceInfo
objectrequiredname
object (DeviceName)required
defaultNames
array of stringrequiredname
stringrequirednicknames
array of stringrequiredtraits
array of stringrequiredtype
stringrequiredhide_from_google
boolean or nullroom
string or nullstates
objectrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredUpdate A Device
PUT
/api/devices/{device_id}Parameters
device_id
stringpathrequiredauthorization
string or nullheaderRequest body required
application/json
object (Device-Input)description
object (DeviceDescription)required
id
stringrequiredattributes
objectrequireddeviceInfo
objectrequiredname
object (DeviceName)required
defaultNames
array of stringrequiredname
stringrequirednicknames
array of stringrequiredtraits
array of stringrequiredtype
stringrequiredhide_from_google
boolean or nullroom
string or nullstates
objectrequiredResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredDelete A Device
DELETE
/api/devices/{device_id}Parameters
device_id
stringpathrequiredauthorization
string or nullheaderResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredGet States Of A Device
GET
/api/devices/{device_id}/statesParameters
device_id
stringpathrequiredauthorization
string or nullheaderResponses
200Successful Response
application/json
object422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredUpdate States Of A Device
PATCH
/api/devices/{device_id}/statesParameters
device_id
stringpathrequiredauthorization
string or nullheaderRequest body required
application/json
objectResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredGet A State Of A Device
GET
/api/devices/{device_id}/states/{state_name}Parameters
device_id
stringpathrequiredstate_name
stringpathrequiredauthorization
string or nullheaderResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredLogs
Get Log
GET
/api/logsParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
array of object (LogRegistry)agent
stringrequiredseverity
stringrequiredmessage
stringrequiredtimestamp
numberrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredDelete Log
DELETE
/api/logsParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
boolean422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredAlerts
Get Alerts
GET
/api/alertsParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
object (Alerts)alert
stringrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredSettings
Get Settings
GET
/api/settingsParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
object (Settings)client_id
stringrequiredclient_secret
stringrequiredddns
object (DDNS)required
enabled
booleanrequiredhostname
stringrequiredpassword
stringrequiredprovider
stringrequiredusername
stringrequireddomain
stringrequiredlog
object (Log)required
days
integerrequiredmqtt
object (MQTT)required
user
stringrequiredpassword
stringrequiredsync_devices
booleanrequiredsync_google
booleanrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredUpdate Settings
PATCH
/api/settingsParameters
authorization
string or nullheaderRequest body required
application/json
object (PatchSettings)client_id
string or nullrequiredclient_secret
string or nullrequiredddns
object (DDNS) or nullrequired
enabled
booleanrequiredhostname
stringrequiredpassword
stringrequiredprovider
stringrequiredusername
stringrequireddomain
string or nullrequiredlog
object (Log) or nullrequired
days
integerrequiredmqtt
object (MQTT) or nullrequired
user
stringrequiredpassword
stringrequiredsync_devices
boolean or nullrequiredsync_google
boolean or nullrequiredResponses
200Successful Response
application/json
object (Settings)client_id
stringrequiredclient_secret
stringrequiredddns
object (DDNS)required
enabled
booleanrequiredhostname
stringrequiredpassword
stringrequiredprovider
stringrequiredusername
stringrequireddomain
stringrequiredlog
object (Log)required
days
integerrequiredmqtt
object (MQTT)required
user
stringrequiredpassword
stringrequiredsync_devices
booleanrequiredsync_google
booleanrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredSet Service Account Key
PUT
/api/settings/serviceaccountkeyParameters
authorization
string or nullheaderRequest body required
application/json
object (ServiceAccountKey)type
stringrequiredproject_id
stringrequiredprivate_key_id
stringrequiredprivate_key
stringrequiredclient_email
stringrequiredclient_id
stringrequiredauth_uri
stringrequiredtoken_uri
stringrequiredauth_provider_x509_cert_url
stringrequiredclient_x509_cert_url
stringrequireduniverse_domain
stringrequiredResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredSystem
Get System Version
GET
/api/system/versionParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
object (Version)version
stringrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredGet System Status
GET
/api/system/statusParameters
authorization
string or nullheaderResponses
200Successful Response
application/json
object (SystemStatus)api
object (ComponentState)required
enable
booleanrequiredstatus
stringrequiredtitle
stringrequiredmqtt
object (ComponentState)required
enable
booleanrequiredstatus
stringrequiredtitle
stringrequiredtasks
object (ComponentState)required
enable
booleanrequiredstatus
stringrequiredtitle
stringrequiredredis
object (ComponentState)required
enable
booleanrequiredstatus
stringrequiredtitle
stringrequiredmongo
object (ComponentState)required
enable
booleanrequiredstatus
stringrequiredtitle
stringrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredUser
Validate User Token
GET
/api/user/validateTokenParameters
token
string or nullheaderResponses
200Successful Response
application/json
object (TokenValidation)valid
booleanrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredUser Login
GET
/api/user/loginParameters
username
string or nullheaderpassword
string or nullheaderResponses
200Successful Response
application/json
object (UserSesion)username
stringrequiredtoken
stringrequiredvalid
booleanrequired422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredChange User Password
PUT
/api/user/passwordParameters
authorization
string or nullheaderRequest body
application/json
object (Password) or nullpassword
stringrequirednew_password
stringrequiredResponses
200Successful Response
application/json
any422Validation Error
application/json
object (HTTPValidationError)detail
array of object (ValidationError)
loc
array of (string or integer)requiredmsg
stringrequiredtype
stringrequiredTest
Test Endpoint
GET
/testResponses
200Successful Response
text/plain
stringClock
System Clock
GET
/api/clockResponses
200Successful Response
application/json
any